@import url('https://fonts.googleapis.com/css2?family=Muli&display=swap');

:root {
  --line-border-fill: #5a23a0;
  --line-border-empty: #aadaf4;
}

/* Box Model Hack */
* {
  box-sizing: border-box;
}

/* Clear fix hack */
.clearfix:after {
     content: ".";
     display: block;
     clear: both;
     visibility: hidden;
     line-height: 0;
     height: 0;
}

.clear {
	clear: both;
}

/******************************************
/* BASE STYLES
/*******************************************/

body {
background: linear-gradient(#aadaf4, #2e033a);
font-family: 'Muli', sans-serif;
display: flex;
align-items: center;
justify-content: center;
height: 100vh;
overflow: hidden;
margin: 0;
color: #fff;
}

.container {
  text-align: center;
}

.progress-container{
  display: flex;
  justify-content: space-between;
  position: relative;
  margin-bottom: 30px;
  max-width: 100%;
  width: 350px;
}

.progress-container::before{
  content:'';
  background-color:var(--line-border-empty);
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  height: 4px;
  width: 100%;
  z-index: -1;
}

.progress{
  background-color:var(--line-border-fill);
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  height: 4px;
  width: 0%;
  z-index: -1;
  transition: .4s ease;
}

.circle{
  background-color: #607185;
  color: #fff;
  border-radius: 50%;
  height: 30px;
  width: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
  border: 3px solid var(--line-border-empty);
  transition: .4s ease;
}

.circle.active{
  border-color:var(--line-border-fill);
}

.btn{
  background-color: var(--line-border-fill);
  color: #fff;
  border-radius: 6px;
  cursor: pointer;
  font-family: inherit;
  padding: 8px 30px;
  margin: 5px;
  font-size: 14px;
}

.btn:active{
  transform: scale(0.98);
}

.btn:focus{
  outline: 0;
}

.btn:disabled {
  background-color: var(--line-border-empty);
   cursor: not-allowed;
}
/******************************************
/* LAYOUT
/*******************************************/
header {

}

footer {

}

/******************************************
/* ADDITIONAL STYLES
/*******************************************/
